## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelTimerListener Struct Reference

Generic timing system in CEL. More...

`#include <physicallayer/pl.h>`

List of all members.

## Public Member Functions

virtual void | TickEveryFrame ()=0
| This function is called by the physical layer when a broadcast is needed.
virtual void | TickOnce ()=0
| This function is called by the physical layer when a broadcast is needed.

## Detailed Description

Generic timing system in CEL.

If you want to get a tick every frame or after a while you can implement this and register.

Definition at line 82 of file pl.h.

## Member Function Documentation

virtual void iCelTimerListener::TickEveryFrame | ( |  | ) | `[pure virtual]`

| This function is called by the physical layer when a broadcast is needed. Use iCelPlLayer->CallbackEveryFrame() to register.

virtual void iCelTimerListener::TickOnce | ( |  | ) | `[pure virtual]`

| This function is called by the physical layer when a broadcast is needed. Use iCelPlLayer->CallbackOnce() to register.

The documentation for this struct was generated from the following file:

- physicallayer/pl.h